### Method

# GIRepository ObjectInfo get_set_value_function_pointer

since: 2.80

#### Declaration

    GIObjectInfoSetValueFunction
    gi_object_info_get_set_value_function_pointer (
      GIObjectInfo* info
    )

#### Description

Obtain a pointer to a function which can be used to set a `GValue`, given an instance of this object type.

This takes derivation into account and will reversely traverse the base classes of this type, starting at the top type.

Available since: 2.80

This method is not directly available to language bindings.

#### Return value

Type: `GIObjectInfoSetValueFunction`

The function pointer, or `NULL` if the object type has no set-value function.